$(document).ready(function() {


	/*
	// Carga Datos Anuncio
	$('.titulo a').click(function () {
		var id = $(this).data('id');
		console.log(id);
		// Cambiar a ojito
		$('.ver-anuncio-'+id).click();
	});


	$('#modalAnuncioForm').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget)
		var modal = $(this);

		modal.find('#idAnuncio').val(0);
		modal.find('.input-titulo').val('');
		tinymce.get('anuncioContenido').setContent('');
		modal.find('.text-contenido').val('');

		if (button.data('id') == 0) {
			modal.find('.btn-eliminar').hide();
			modal.find('.btn-editar').html('Crear');
			modal.find('.modal-wait').show();
		}
		else {
			var parametros = {
				id : button.data('id')
			};

			$.ajax({
				data:  parametros,
				url:   '/anuncios/info',
				type:  'post',
				beforeSend: function () {
				},
				success:  function (response) {
					if (response.status == 'success') {
						let anuncio = response.anuncio;
						modal.find('#idAnuncio').val(anuncio.id);
						modal.find('.input-titulo').val(anuncio.titulo);
						modal.find('.text-contenido').val(anuncio.contenido);
						tinymce.get('anuncioContenido').setContent(anuncio.contenido);
					} else {
						alert(response.message);
					}
				}
			});
		}
	});
*/

	$('#modalAyudaCategoriaForm #formAyudaCategoria').submit(function( event ) {
		event.preventDefault();
		$('#modalAyudaCategoriaForm .btn-editar').click();
	});

	$('#modalAyudaForm').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget)
		var modal = $(this);

		modal.find('#idAyuda').val(0);
		modal.find('.input-titulo').val('');
		modal.find('.text-contenido').html('');
		tinymce.get('ayudaContenido').setContent('');
		modal.find('.select-id-categoria').val(0);
		modal.find('.select-estado').val(0);


		if (button.data('id') == 0) {
			modal.find('.btn-eliminar').hide();
			modal.find('.btn-editar').html('Crear');
			modal.find('.modal-wait').show();
		}
		else {
			var parametros = {
				id : button.data('id')
			};

			$.ajax({
				data:  parametros,
				url:   '/ayudas/info',
				type:  'post',
				beforeSend: function () {
				},
				success:  function (response) {
					if (response.status == 'success') {
						let ayuda = response.ayuda;
						modal.find('#idAyuda').val(ayuda.id);
						modal.find('.select-id-categoria').val(ayuda.id_categoria);
						modal.find('.input-titulo').val(ayuda.titulo);
						tinymce.get('ayudaContenido').setContent(ayuda.contenido);
					} else {
						alert(response.message);
					}
				}
			});
		}
	});

	$('#modalAyudaForm .btn-editar' ).click(function() {
		console.log('click en editar');
		$('#formAyuda').find('#ayudaContenido').val(tinymce.get("ayudaContenido").getContent());
		var parametros = $('#formAyuda').serialize();
		$.ajax({
			data:  parametros,
			url:   '/ayudas/guardar',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				if (response.status == 'success') {
					var id = $('#idAyuda').val();
					if (id == 0) {
						location.reload();
					}
					else {
						let ayuda = $('#ayuda' + id);
						ayuda.find('.titulo a').html($('.input-titulo').val());
					}
					$('#modalAyudaForm').modal('hide');
				}
				else {
					alert(response.message);
					// Mostrar errores en div flash
				}
			}
		});
	});



	$('#modalAyudaCategoriaForm').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget)
		var modal = $(this);

		modal.find('#idAyudaCategoria').val(0);
		modal.find('.select-id-categoria').val(0);
		modal.find('.input-nombre').val('');

		$('#modalAyudaCategoriaForm .btn-eliminar').hide();
		$('#modalAyudaCategoriaForm .obs-eliminar').hide();

		
		if (button.data('id') == 0) {
			modal.find('.btn-editar').html('Crear');
			modal.find('.modal-wait').show();
		}
		else {
			var parametros = {
				id : button.data('id')
			};

			$.ajax({
				data:  parametros,
				url:   '/ayudas/info_categoria',
				type:  'post',
				beforeSend: function () {
				},
				success:  function (response) {
					if (response.status == 'success') {
						let ayuda_categoria = response.ayuda_categoria;
						modal.find('#idAyudaCategoria').val(ayuda_categoria.id);
						modal.find('.select-id-categoria').val(ayuda_categoria.id_categoria);
						modal.find('.input-nombre').val(ayuda_categoria.nombre);

						if (ayuda_categoria.subcategorias == 0 && ayuda_categoria.articulos == 0) {
							$('#modalAyudaCategoriaForm .btn-eliminar').show();
						}
						else {
							$('#modalAyudaCategoriaForm .obs-eliminar').show();
						}

					} else {
						alert(response.message);
					}
				}
			});
		}
	});

	$('#modalAyudaCategoriaForm .btn-editar' ).click(function() {
		console.log('Editar categoría');
		var parametros = $('#formAyudaCategoria').serialize();
		$.ajax({
			data:  parametros,
			url:   '/ayudas/guardar_categoria',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				if (response.status == 'success') {
					var id = $('#idAyudaCategoria').val();
					if (id == 0) {
						location.reload();
					}
					else {
						let ayuda = $('#ayuda-categoria-' + id);
						ayuda.find('.nombre a').html($('.input-nombre').val());
					}
					$('#modalAyudaCategoriaForm').modal('hide');
				}
				else {
					alert(response.message);
					// Mostrar errores en div flash
				}
			}
		});
	});

	$('#modalAyudaCategoriaForm .btn-eliminar').click(function() {
		if (confirm('Eliminar')) {
			var id = $('#idAyudaCategoria').val();
			var parametros = {
				id : id
			};
			$.ajax({
				data:  parametros,
				url:   '/ayudas/eliminar_categoria',
				type:  'post',
				beforeSend: function () {
				
				},
				success:  function (response) {
					$('#categoria-' + id).remove();
					$('#modalAyudaCategoriaForm').modal('hide');
				}
			});
		}
	});
/*

	$('#modalAnuncioDetalle').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget);
		var modal = $(this);

		modal.find('#idAnuncioDetalle').val(0);
		modal.find('.titulo').html('');
		modal.find('.contenido').html('');
		modal.find('.btn-leer').removeAttr('disabled').html('Confirmar lectura');
		modal.find('.lista-lectores').html('');

		var parametros = {
			id : button.data('id')
		};

		var fecha_lectura = '';

		$.ajax({
			data:  parametros,
			url:   '/anuncios/ver',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				if (response.status == 'success') {
					fecha_lectura = response.fecha_lectura;
					if (isDate(fecha_lectura)) {
						modal.find('.btn-leer').attr('disabled', 'disabled').html('Lectura confirmada');
					}
				} else {
					alert(response.message);
				}
			}
		});

		$.ajax({
			data:  parametros,
			url:   '/anuncios/info',
			type:  'post',
			beforeSend: function () {
			},
			success:  function (response) {
				if (response.status == 'success') {
					let anuncio = response.anuncio;
					modal.find('#idAnuncioDetalle').val(anuncio.id);
					modal.find('.titulo').html(anuncio.titulo);
					modal.find('.contenido').html(anuncio.contenido);

					if (typeof anuncio.lectores != "undefined") {
						for (let lector of anuncio.lectores) {
							carga_lector(lector);
						}
					}

				} else {
					alert(response.message);
				}
			}
		});
	});

	$('#modalAnuncioDetalle .btn-leer').click(function(event) {
		var button = $(this);
		button.attr('disabled', 'disabled');
		var id = $('#idAnuncioDetalle').val();
		var parametros = {
			id : id
		};
		$.ajax({
			data:  parametros,
			url:   '/anuncios/leer',
			type:  'post',
			beforeSend: function () {
			
			},
			success:  function (response) {
				$('#anuncio' + id).removeClass('sin-lectura');
				button.html('Lectura confirmada');
			}
		});
	});


	// Prevent Bootstrap dialog from blocking focusin
	$(document).on('focusin', function(e) {
		if ($(e.target).closest(".tox-tinymce, .tox-tinymce-aux, .moxman-window, .tam-assetmanager-root").length) {
			e.stopImmediatePropagation();
		}
	});
*/
});
/*
function carga_lector(lector){
	var estados = Array();
	estados[0] = 'No visto';
	estados[1] = 'Visto';
	estados[2] = 'Leído';

	let html = $($.parseHTML($('.lector-copy').html()));

	html.find('.nombre-lector').html(lector.alias);
	html.find('.estado-lector').html(estados[lector.estado]);
	html.find('.fecha-visto').html(fecha(lector.fecha_visto));
	html.find('.fecha-lectura').html(fecha(lector.fecha_lectura));

	if (lector.estado == 0) {
		html.find('.estado-lector').addClass('badge-danger');
	}
	if (lector.estado == 1) {
		html.find('.estado-lector').addClass('badge-warning');
	}
	if (lector.estado == 2) {
		html.find('.estado-lector').addClass('badge-success');
	}

	$('.lista-lectores').append(html);
}
*/